package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.TdQuestionMapper;
import com.ruoyi.system.domain.TdQuestion;
import com.ruoyi.system.service.ITdQuestionService;
import com.ruoyi.common.core.text.Convert;

/**
 * 题库管理Service业务层处理
 * 
 * @author admin
 * @date 2024-04-07
 */
@Service
public class TdQuestionServiceImpl implements ITdQuestionService 
{
    @Autowired
    private TdQuestionMapper tdQuestionMapper;

    /**
     * 查询题库管理
     * 
     * @param ID 题库管理主键
     * @return 题库管理
     */
    @Override
    public TdQuestion selectTdQuestionByID(Long ID)
    {
        return tdQuestionMapper.selectTdQuestionByID(ID);
    }

    /**
     * 查询题库管理列表
     * 
     * @param tdQuestion 题库管理
     * @return 题库管理
     */
    @Override
    public List<TdQuestion> selectTdQuestionList(TdQuestion tdQuestion)
    {
        return tdQuestionMapper.selectTdQuestionList(tdQuestion);
    }

    /**
     * 新增题库管理
     * 
     * @param tdQuestion 题库管理
     * @return 结果
     */
    @Override
    public int insertTdQuestion(TdQuestion tdQuestion)
    {
        return tdQuestionMapper.insertTdQuestion(tdQuestion);
    }

    /**
     * 修改题库管理
     * 
     * @param tdQuestion 题库管理
     * @return 结果
     */
    @Override
    public int updateTdQuestion(TdQuestion tdQuestion)
    {
        return tdQuestionMapper.updateTdQuestion(tdQuestion);
    }

    /**
     * 批量删除题库管理
     * 
     * @param IDs 需要删除的题库管理主键
     * @return 结果
     */
    @Override
    public int deleteTdQuestionByIDs(String  IDs)
    {
        return tdQuestionMapper.deleteTdQuestionByIDs(Convert.toStrArray(IDs));
    }

    /**
     * 删除题库管理信息
     * 
     * @param ID 题库管理主键
     * @return 结果
     */
    @Override
    public int deleteTdQuestionByID(Long ID)
    {
        return tdQuestionMapper.deleteTdQuestionByID(ID);
    }
}
